<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- This configuration file specifies the required security policies
       for the smart-notifier to work. -->

  <!-- Only allow root to invoke methods on the WarnUser interfaces -->
  <policy user="root">
    <allow own="smart_notifier.DbusService"/>
  </policy>

  <!-- Any user can own the DbusService service -->
  <policy context="default">
    <allow send_interface="smart_notifier.DbusService.WarnUser"/>
    <allow receive_interface="smart_notifier.DbusService.WarnUser"
           receive_sender="smart_notifier.DbusService"/>
  </policy>

</busconfig>
